/* Import rtd theme */
@import url(theme.css);

/* Customize for QGIS Documentation*/
.rst-content .guilabel {
  background: #7fbbe3
}

/* adds scrollbar to side navigator and keep showing the top title block */
.wy-side-nav-search {
  margin-bottom: 0;
  /* Format custom display of version in the navigation side bar */
  >div.version {
    margin-top: -.4045em;
    margin-bottom: .809em;
    font-weight: 400;
    color: hsla(0, 0%, 100%, .3);
  }
}

.wy-side-scroll {
  width: auto;
  overflow-y: hidden;
  display: flex;
  flex-direction: column;
}

.wy-menu.wy-menu-vertical {
  overflow-y: auto;
}

/*rtd theme does not render menuselection, so let's apply guilabel settings to it*/
.rst-content .menuselection {
  background: #7fbbe3;
  font-size: 80%;
  border: 1px solid #7fbbe3;
  font-weight: 700;
  border-radius: 4px;
  padding: 2.4px 6px;
  margin: auto 2px
}

/*keyboard text are by default rendered bigger*/
.rst-content .kbd {
  font-size: 90%
}

.outdated {
  /* only to be visible for outdated releases*/
  background: #ffbaba;
  color: #6a0e0e;
}

.isTesting {
  /* only to be visible in testing*/
  background: #f3fbfb;
  color: black;
}

.outdated,
.isTesting {
  /* top banner for testing and outdated docs*/
  padding-top: 0.5rem;
  margin-left: 0;
  padding-left: 0.5rem;
  padding-bottom: 0.5rem;
  font-size: 0.9rem;
  z-index: 300;
  width: 100%;
  position: fixed
}

/* Widen space for the documentation content*/
.wy-nav-content {
  max-width: 1260px;
}

/* Avoid images being too big on bigger screen*/
@media screen and (min-width: 767px) {
  .rst-content img {
    max-width: 760px
  }
}

/* override table width restrictions
from https://rackerlabs.github.io/docs-rackspace/tools/rtd-tables.html */
@media screen and (min-width: 767px) {

  .wy-table-responsive table td {
    /* !important prevents the common CSS stylesheets from overriding
         this as on RTD they are loaded after this stylesheet */
    white-space: normal !important;
  }

  .wy-table-responsive {
    overflow: auto !important;
  }
}

.toc-columns ul {
  column-count: 3;
}

/* Add specific style for the contribution shortcut */
.qgis-edit-guidelines {
  font-size: 14px;
  float: right;
  clear: both;
  padding-top: 4px;
}

@media screen and (max-width: 480px) {
  .qgis-edit-guidelines {
    display: none;
  }
}


/* Add specific text roles with color display, allowing to write e.g., :blue:`Blue socket` */
@import url("default.css");

.red {
  color: #FF0000;
}

.blue {
  color: #229DD6;
}

.green {
  color: #33C91C;
}

.kaki {
  color: #B4B400;
}

.turquoise {
  color: #00B4B4;
}

.purple {
  color: #8044C9;
}

.slate {
  color: #6464FF;
}

.darkgray {
  color: #505050;
}

.midgray {
  color: #808080;
}
